Package com.pixelmed.dose

# Class CTAcquisitionParameters

java.lang.Object
com.pixelmed.dose.CTAcquisitionParameters

public class CTAcquisitionParameters extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`acquisitionProtocol`
`protected CodedSequenceItem`
`anatomy`
`protected String`
`bottomZLocationOfReconstructableVolume`
`protected String`
`bottomZLocationOfScanningLength`
`protected String`
`comment`
`protected ContentItem`
`contentItemFragment`
`protected String`
`exposedRangeInMM`
`protected String`
`exposureTimeInSeconds`
`protected String`
`exposureTimePerRotation`
`protected String`
`frameOfReferenceUID`
`protected String`
`irradiationEventUID`
`protected String`
`kvp`
`protected String`
`lengthOfReconstructableVolumeInMM`
`protected String`
`nominalSingleCollimationWidthInMM`
`protected String`
`nominalTotalCollimationWidthInMM`
`protected String`
`pitchFactor`
`protected String`
`scanningLengthInMM`
`protected CTScanType`
`scanType`
`protected String`
`topZLocationOfReconstructableVolume`
`protected String`
`topZLocationOfScanningLength`
`protected String`
`tubeCurrent`
`protected String`
`tubeCurrentMaximum`

## Constructor Summary

Constructors
Constructor
Description
`CTAcquisitionParameters(ContentItem parametersNode)`
`CTAcquisitionParameters(CTAcquisitionParameters source)`
`CTAcquisitionParameters(String irradiationEventUID, CTScanType scanType, CodedSequenceItem anatomy, String acquisitionProtocol, String comment, String exposureTimeInSeconds, String scanningLengthInMM, String nominalSingleCollimationWidthInMM, String nominalTotalCollimationWidthInMM, String pitchFactor, String kvp, String tubeCurrent, String tubeCurrentMaximum, String exposureTimePerRotation)`
`CTAcquisitionParameters(String irradiationEventUID, CTScanType scanType, CodedSequenceItem anatomy, String acquisitionProtocol, String comment, String exposureTimeInSeconds, String scanningLengthInMM, String lengthOfReconstructableVolumeInMM, String exposedRangeInMM, String topZLocationOfReconstructableVolume, String bottomZLocationOfReconstructableVolume, String topZLocationOfScanningLength, String bottomZLocationOfScanningLength, String frameOfReferenceUID, String nominalSingleCollimationWidthInMM, String nominalTotalCollimationWidthInMM, String pitchFactor, String kvp, String tubeCurrent, String tubeCurrentMaximum, String exposureTimePerRotation)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deriveScanningLengthFromDLPAndCTDIVolIfGreater(String dlp, String ctdiVol)`
`boolean`
`equals(Object o)`
`boolean`
`equalsApartFromIrradiationEventUID(CTAcquisitionParameters oap)`
`String`
`getAcquisitionProtocol()`
`CodedSequenceItem`
`getAnatomy()`
`String`
`getBottomZLocationOfReconstructableVolume()`
`String`
`getBottomZLocationOfScanningLength()`
`String`
`getComment()`
`String`
`getExposedRangeInMM()`
`String`
`getExposureTimeInSeconds()`
`String`
`getExposureTimePerRotation()`
`String`
`getFrameOfReferenceUID()`
`static String`
`getHTMLTableHeaderRowFragment()`
`String`
`getHTMLTableRowFragment()`
`String`
`getIrradiationEventUID()`
`String`
`getKVP()`
`String`
`getLengthOfReconstructableVolumeInMM()`
`String`
`getNominalSingleCollimationWidthInMM()`
`String`
`getNominalTotalCollimationWidthInMM()`
`String`
`getPitchFactor()`
`String`
`getScanningLengthInMM()`
`CTScanType`
`getScanType()`
`ContentItem`
`getStructuredReportFragment(ContentItem root)`
`String`
`getTopZLocationOfReconstructableVolume()`
`String`
`getTopZLocationOfScanningLength()`
`String`
`getTubeCurrent()`
`String`
`getTubeCurrentMaximum()`
`static String`
`locationSignToSI(String value)`
`void`
`merge(CTAcquisitionParameters oap)`
`String`
`toString()`
`String`
`toString(boolean pretty)`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### irradiationEventUID

protected String irradiationEventUID

### scanType

protected CTScanType scanType

### anatomy

protected CodedSequenceItem anatomy

### acquisitionProtocol

protected String acquisitionProtocol

### comment

protected String comment

### exposureTimeInSeconds

protected String exposureTimeInSeconds

### scanningLengthInMM

protected String scanningLengthInMM

### lengthOfReconstructableVolumeInMM

protected String lengthOfReconstructableVolumeInMM

### exposedRangeInMM

protected String exposedRangeInMM

### topZLocationOfReconstructableVolume

protected String topZLocationOfReconstructableVolume

### bottomZLocationOfReconstructableVolume

protected String bottomZLocationOfReconstructableVolume

### topZLocationOfScanningLength

protected String topZLocationOfScanningLength

### bottomZLocationOfScanningLength

protected String bottomZLocationOfScanningLength

### frameOfReferenceUID

protected String frameOfReferenceUID

### nominalSingleCollimationWidthInMM

protected String nominalSingleCollimationWidthInMM

### nominalTotalCollimationWidthInMM

protected String nominalTotalCollimationWidthInMM

### pitchFactor

protected String pitchFactor

### kvp

protected String kvp

### tubeCurrent

protected String tubeCurrent

### tubeCurrentMaximum

protected String tubeCurrentMaximum

### exposureTimePerRotation

protected String exposureTimePerRotation

### contentItemFragment

protected ContentItem contentItemFragment

## Constructor Details

### CTAcquisitionParameters

public CTAcquisitionParameters(String irradiationEventUID, CTScanType scanType, CodedSequenceItem anatomy, String acquisitionProtocol, String comment, String exposureTimeInSeconds, String scanningLengthInMM, String lengthOfReconstructableVolumeInMM, String exposedRangeInMM, String topZLocationOfReconstructableVolume, String bottomZLocationOfReconstructableVolume, String topZLocationOfScanningLength, String bottomZLocationOfScanningLength, String frameOfReferenceUID, String nominalSingleCollimationWidthInMM, String nominalTotalCollimationWidthInMM, String pitchFactor, String kvp, String tubeCurrent, String tubeCurrentMaximum, String exposureTimePerRotation)

### CTAcquisitionParameters

public CTAcquisitionParameters(String irradiationEventUID, CTScanType scanType, CodedSequenceItem anatomy, String acquisitionProtocol, String comment, String exposureTimeInSeconds, String scanningLengthInMM, String nominalSingleCollimationWidthInMM, String nominalTotalCollimationWidthInMM, String pitchFactor, String kvp, String tubeCurrent, String tubeCurrentMaximum, String exposureTimePerRotation)

### CTAcquisitionParameters

public CTAcquisitionParameters(CTAcquisitionParameters source)

### CTAcquisitionParameters

public CTAcquisitionParameters(ContentItem parametersNode)

## Method Details

### merge

public void merge(CTAcquisitionParameters oap)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### equalsApartFromIrradiationEventUID

public boolean equalsApartFromIrradiationEventUID(CTAcquisitionParameters oap)

### getIrradiationEventUID

public String getIrradiationEventUID()

### getScanType

public CTScanType getScanType()

### getAnatomy

public CodedSequenceItem getAnatomy()

### getAcquisitionProtocol

public String getAcquisitionProtocol()

### getComment

public String getComment()

### getExposureTimeInSeconds

public String getExposureTimeInSeconds()

### getScanningLengthInMM

public String getScanningLengthInMM()

### getLengthOfReconstructableVolumeInMM

public String getLengthOfReconstructableVolumeInMM()

### getExposedRangeInMM

public String getExposedRangeInMM()

### getTopZLocationOfReconstructableVolume

public String getTopZLocationOfReconstructableVolume()

### getBottomZLocationOfReconstructableVolume

public String getBottomZLocationOfReconstructableVolume()

### getTopZLocationOfScanningLength

public String getTopZLocationOfScanningLength()

### getBottomZLocationOfScanningLength

public String getBottomZLocationOfScanningLength()

### getFrameOfReferenceUID

public String getFrameOfReferenceUID()

### getNominalSingleCollimationWidthInMM

public String getNominalSingleCollimationWidthInMM()

### getNominalTotalCollimationWidthInMM

public String getNominalTotalCollimationWidthInMM()

### getPitchFactor

public String getPitchFactor()

### getKVP

public String getKVP()

### getTubeCurrent

public String getTubeCurrent()

### getTubeCurrentMaximum

public String getTubeCurrentMaximum()

### getExposureTimePerRotation

public String getExposureTimePerRotation()

### deriveScanningLengthFromDLPAndCTDIVolIfGreater

public void deriveScanningLengthFromDLPAndCTDIVolIfGreater(String dlp, String ctdiVol)

### locationSignToSI

public static String locationSignToSI(String value)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toString

public String toString(boolean pretty)

### getHTMLTableHeaderRowFragment

public static String getHTMLTableHeaderRowFragment()

### getHTMLTableRowFragment

public String getHTMLTableRowFragment()

### getStructuredReportFragment

public ContentItem getStructuredReportFragment(ContentItem root) throws DicomException

Throws:
  `DicomException`